### Struct

# Qmi MessageQosGetFlowStatusInput

since: 1.22

#### Description [src]

    struct QmiMessageQosGetFlowStatusInput {
      /* No available fields */
    }

The `QmiMessageQosGetFlowStatusInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.22

#### Constructors

###### qmi_message_qos_get_flow_status_input_new

Allocates a new `QmiMessageQosGetFlowStatusInput`.

since: 1.22

#### Instance methods

###### qmi_message_qos_get_flow_status_input_get_qos_id

Get the ‘Qos Id’ field from `self`.

since: 1.22

###### qmi_message_qos_get_flow_status_input_ref

Atomically increments the reference count of `self` by one.

since: 1.22

###### qmi_message_qos_get_flow_status_input_set_qos_id

Set the ‘Qos Id’ field in the message.

since: 1.22

###### qmi_message_qos_get_flow_status_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.22